# Uses of Enum
org.eclipse.microprofile.openapi.models.parameters.Parameter.In

Packages that use Parameter.In
Package
Description
org.eclipse.microprofile.openapi.models.parameters
A set of model interfaces to describe operation parameters and operation's request body.

## Uses of Parameter.In in org.eclipse.microprofile.openapi.models.parameters

Methods in org.eclipse.microprofile.openapi.models.parameters that return Parameter.In
Modifier and Type
Method
Description
`Parameter.In`
Parameter.`getIn()`
Returns the in property from a Parameter instance.
`static Parameter.In`
Parameter.In.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Parameter.In[]`
Parameter.In.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.microprofile.openapi.models.parameters with parameters of type Parameter.In
Modifier and Type
Method
Description
`default Parameter`
Parameter.`in(Parameter.In in)`
Sets the in property of a Parameter instance to the given value.
`void`
Parameter.`setIn(Parameter.In in)`
Sets the in property of a Parameter instance to the given value.